# this file is used to record the build configuration 
# so that we can switch architectures and
# so that we do not have to repeat configuration for samples 
DXCC = gcc
DXCFLAGS = -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -mbranch-protection=standard -fasynchronous-unwind-tables -fstack-clash-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer  -D_GNU_SOURCE -I/usr/include/ImageMagick
DXEXECLINKLIBS = -lXinerama -lnetcdf -lXpm -ldl -lXm -lXp -lGLU -lGL -lm -lXmu -lXext -lXt -lX11 -lSM -lICE -lpthread  
DXEXECLINKFLAGS = 
DXRUNTIMELOADFLAGS = 
DXFMTLIBS =  libnetcdf.a
DXLDFLAGS = -Wl,-z,relro -Wl,--as-needed  -Wl,-z,pack-relative-relocs -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -Wl,--build-id=sha1 -specs=/usr/lib/rpm/redhat/redhat-package-notes  
OBJEXT = o
EXEEXT = 
DXABI = 
DX_X_LINK_LIBS = -lXm -lXp -lGLU -lGL -lm -lXmu -lXext -lXt -lX11 -lSM -lICE -lpthread  
DX_GL_LINK_LIBS =  -lGL 
DOT_EXE_EXT = 
# the var ARCH may change to DXARCH due to namespace
DXARCH = linux
JINC = 
DX_JAVA_CLASSPATH = 
DX_RTL_CFLAGS =  -D_GNU_SOURCE -Dlinux
DX_RTL_LDFLAGS = -fPIC -shared
DX_RTL_DXENTRY =  -eDXEntry
DX_RTL_IMPORTS = 
DX_RTL_SYSLIBS = 
SHARED_LINK = $(CC)
DX_OUTBOARD_LIBS = 
